# stockfunc.py

def read_portfolio(filename):
    lines = open(filename)
    fields = [line.split() for line in lines]
    return [ { 'name' : f[0],
               'shares' : int(f[1]),
               'price'  : float(f[2]) } for f in fields]
# Read prices into a dictionary
def read_prices(filename):
    prices = { }
    for line in open(filename):
         fields = line.split(',')
         prices[fields[0]] = float(fields[1])
    return prices

# Calculate current value of a portfolio
def portfolio_value(stocks,prices):
    return sum([s['shares']*prices[s['name']] 
                  for s in stocks])   
